%define _requires_exceptions libasound.so\\|libesd.so\\|libaudiofile.so\\|libaudio.so\\|libpulse
%define _disable_ld_no_undefined 1
%define	name		libao
%define	version		1.2.0
%define release		%mkrel 1

%define major 4
%define	libname		%mklibname ao %{major}
%define develname	%mklibname ao -d

Name:		%{name}
Summary:	Cross Platform Audio Output Library
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	GPL
URL:		http://www.xiph.org/ao/
Source0:	http://downloads.xiph.org/releases/ao/%{name}-%{version}.tar.xz
#--------------------------------------
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}nas2-devel
BuildRequires: %{_lib}pulseaudio-devel
#--------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: 	%name < %version

%description
Libao is a cross-platform audio library that allows programs 
to output audio using a simple API on a wide variety of platforms. 
It currently supports:

- ALSA
- Esound
- pulseaudio
- OSS

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname ao 2 -d

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

# remove incorrect flags, optflag will be used instead
sed -i "s/-O20 -ffast-math//" configure

%build
%configure2_5x \
	--disable-esd \
	--disable-arts \
	--enable-pulse \
	--enable-alsa09-mmap

# (Fedora) kill rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

rm -rf %{buildroot}%{_docdir}
install -d -m 755 %{buildroot}%{_libdir}/%{name}/

rm -rf %{buildroot}%{_libdir}/ckport

%clean 
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libao.so.%{major}*
%{_libdir}/ao/*

%files -n %{develname}
%defattr(-,root,root)
%doc CHANGES doc/*.{html,c,css}
%{_includedir}/ao
%{_libdir}/libao.so
%dir %{_libdir}/%{name}/
%{_datadir}/aclocal/ao.m4
%{_libdir}/pkgconfig/*
%{_mandir}/man5/*


%changelog
* Sat Feb 15 2014 bb <bb> 1.2.0-1pclos2014
- update

* Fri May 31 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.1.0-1pclos2013
- 1.1.0
- removed patch it is applied in source code

* Wed Oct 05 2011 Texstar <texstar at gmail.com> 1.0.0-2pclos2011
- apply pulse patch

* Sat Mar 27 2010 Texstar <texstar at gmail.com> 1.0.0-1pclos2010
- 1.0.0

* Sat Nov 28 2009 pcserver <pcserver at hush.com> 0.8.8-2pclos2010
- gcc update
- trim specfile
